PATHCHK(1)

NAZWA
pathchk - sprawdź czy nazwy plików są prawidłowe lub przenośne

SKŁADNIA

pathchk
    [-p] [--portability] [--help] [--version]
    nazwapliku...

OPIS
Ta strona podręcznika man opisuje polecenie pathchk w wersji GNU.

Dla każdej nazwypliku, pathchk wypisuje komunikat w wypadku wystąpienia któregokolwiek z określonych niżej warunków:
• jeden z istniejących w nazwiepliku katalogów nie posiada prawa przeszukiwania (wykonania)
• długość nazwypliku jest większa niż dopuszczalna długość nazwy pliku dla danego systemu plików
• długość jednej ze składowych nazwypliku, odpowiadającej nazwie istniejącego katalogu, jest większa niż maksymalna dopuszczalna w danym systemie plików długość składowej nazwy.

OPCJE

-p, --portability
    Zamiast dokonywania sprawdzeń długości danego systemu plików, testuje długość nazw plików i ich składowych według norm POSIX.1. Poza tym sprawdza, czy nazwa pliku nie zawiera nieprzenośnych znaków.

--help
    Wyświetla informację o stosowaniu programu i dostępnych opcjach, kończy pracę.

--version
    Wyświetla numer wersji programu i kończy pracę.

KOD ZAKOŃCZENIA

0   jeśli wszystkie podane nazwy plików przeszły pomyślnie wszystkie testy.

1   w przeciwnym wypadku

ZGŁASZANIE BŁĘDÓW
Błędy proszę zgłaszać, w jęz.ang., do <bug-sh-utils@gnu.org>.

COPYRIGHT
Copyright © 1999 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

ZOBACZ TAKŻE
basename(1), dirname(1), sh-utils(1).

OD TŁUMACZA
Zaktualizowano i poszerzono wg dokumentacji Texinfo dla narzędzi powłokowych GNU wersji 2.0.